Bug 182059 - authd delays responses if ipv6 is not activated
authd delays responses if ipv6 is not activated
Product: Fedora
Classification: Fedora
Component: authd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Depends On:
  Show dependency treegraph
Reported: 2006-02-19 17:33 EST by Tarhon-Onu Victor
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-20 09:38:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tarhon-Onu Victor 2006-02-19 17:33:25 EST
Description of problem:
Authd fails to answer immediately to queries of IPv6 is not active on the local

Version-Release number of selected component (if applicable): 1.4.3-7.1

How reproducible: always

Steps to Reproduce:
1. deactivate authd from xinetd and strace it: strace in.authd -d
2. type, say, 110:110 (it's an inet daemon so it works with stdin and stdout);
3. look now hard is it trying to read from /proc/net/tcp6!!
Actual results:
Because it tries (so hard) to read /proc/net/tcp6 it fails to deliver the answer

Expected results:
it should answer at once, so that the services using ident do not have to wait
3-4 seconds for an answer.

Additional info:
Comment 1 Martin Stransky 2006-02-20 09:38:16 EST
You can configure this behavior in config.h. There isn't any difference if you
have/don't have /proc/net/tcp6....

Note You need to log in before you can comment on or make changes to this bug.